Get Completed Transactions

Use this API to retrieve the completed transactions of an account, excluding pending transactions.

Pass the account Id to get the transaction details.

Completed transactions are those successfully sent to the recipient. For example, an incoming return that has been successfully credited to the account is also considered a completed transaction. Similarly, when an outgoing ACH transaction is sent to the bank, it is marked as completed.

You can apply additional filters to retrieve specific transactions. Refer to the Query Params section for more details on how to filter these transactions.

The currently available filters include:

  1. Unbilled transactions

  2. Payment transactions

  3. Transactions posted within a specified period.

Example Requests:

  • creditaccounts/1/transactions

  • creditaccounts/1/transactions?unbilledTransactionsOnly=true

  • creditaccounts/1/transactions?paymentTransactionsOnly=true

  • creditaccounts/1/transactions?startDate=2023-01-18&endDate=2023-02-14

Path Params
int64
required
Defaults to 1

Credit Account Id associated with the credit account.
Example: 1

Query Params
int64

Filters transactions by card Id.

int32

Indicates the result from which pagination starts.

int32

Restricts the size of the results returned.

string

The field by which the results are sorted.

string

Specifies the sorting order.

string

Use this field to filter the results based on the start date of the transaction.
Note: The date should be in the format yyyy-mm-dd.
Example: 2023-01-01

string

Use this field to filter the results based on the end date of the transaction.
Note: The date should be in the format yyyy-mm-dd.
Example: 2023-01-31

string

Filters the results by transaction type.

string

Filters the results by transaction subtype.

boolean
Defaults to false

Includes associated card data when true.

boolean
Defaults to false

Use this field to filter the results based on billed or unbilled transactions.
Example: true

boolean
Defaults to false

Returns only billed transactions when true.

boolean
Defaults to false

Includes interest accrual transactions when true.

boolean
Defaults to false

Use this field to filter the results based on payment transactions.
Example: true

boolean
Defaults to false

Includes associated child transactions when true.

Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json